Subject: Bug#750525: [Pkg-mailman-hackers] Bug#750525: mailman: Master qrunner detected subprocess exit while decoding utf8 character

From: Sebastian Reichel <[email-masked]>
Date: Sun, 26 Apr 2015 23:16:45 +0200

Hi,

On Thu, 5 Jun 2014 09:41:51 +0200 (CEST) Thorsten Glaser <[email-masked]> wrote:
> On Wed, 4 Jun 2014, Laurent Mazet wrote:
> 
> > I don't remenber that I've done any modification in language language file
> 
> Hm, okay. Then, I have to ask, maybe you forgot to do the
> upgrade instructions from /usr/share/doc/mailman/NEWS.Debian.gz ?
> 
> mailman (1:2.1.16-1exp1) experimental; urgency=low
> 
>   This version has changed the encoding of most strings, templates
>   and pages to UTF-8 to meet the Debian release goal of full UTF-8
>   support in all packages. It also no longer automatically converts
>   mails to ISO-8859-1.
> 
>   If you have been using any nÅn-ASCII strings in places such as
>   the mailing list description, these were be stored wrongly in the
>   list configuration file (config.pck), so you will need to change
>   those (e.g. via the webinterface) again in order to have them be
>   displayed correctly.
> 
>  -- Thorsten Glaser <[email-masked]>  Sun, 29 Dec 2013 14:35:50 +0000
> 
> Read the second paragraph of thisâ€¦ although, in my tests, I did
> not get error messages, only garbled characters.

I just upgraded to jessie and had the same problem; fixing German
umlauts in the list short descriptions via the Webinterface made
it working again.

Would have been nice to have some post-inst script, which
checks/fixes this.

-- Sebastian